Index: release-kits/lirk3/ant-scripts/create-installer.xml
===================================================================
--- release-kits/lirk3/ant-scripts/create-installer.xml	(revision 14982)
+++ release-kits/lirk3/ant-scripts/create-installer.xml	(revision 15142)
@@ -12,32 +12,49 @@
 
 	<target name="create-installer">
+		<addressedcall target="setup-for-installer-creation"/>
+		<addressedcall target="compile-installer"/>
+		<addressedcall target="clean-up-after-installer-creation"/>
+	</target>
+
+	<target name="setup-for-installer-creation">
 		<if><bool><istrue value="${execute}"/></bool>
 
-			<echo>Project Path: ${project.path}</echo>
+			<echo>Project Path: ${basedir}/distribution/greenstone3</echo>
 			<mkdir dir="${basedir}/installer"/>
+			<copy todir="${basedir}/installer" file="${lirk3.home}/installer/antinstall-config.xml"/>
+			<copy todir="${basedir}/installer" file="${lirk3.home}/installer/build.xml"/>
+			<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@version@" replacement="${version}"/>
+			<rsr file="${basedir}/installer/build.xml" pattern="@java.extracted@" replacement="${java.extracted}"/>
+			
+		</if>
+	</target>
+
+	<target name="compile-installer">
+		<if><bool><istrue value="${execute}"/></bool>
+
 			<installer file="${basedir}/installer/greenstone3.jar"
 					compress="true"
 					extractType="NonExtractor"
-					installConfig="${project.installer.path}/antinstall-config.xml"
-					buildFile="${project.installer.path}/build.xml"
-					antInstallLib="${ant.installer.home}/lib"
-					antLib="${ant.installer.home}/antlib"
+					installConfig="${basedir}/installer/antinstall-config.xml"
+					buildFile="${basedir}/installer/build.xml"
+					antInstallLib="${lirk3.home}/bin/ant-installer/lib"
+					antLib="${lirk3.home}/bin/ant-installer/antlib"
 					validateConfig="true"
 					icons="bluecurve">
 
 				<!-- copy all the important files into the archive to be extracted for install -->
-				<zipfileset dir="${project.installer.path}/cp" includes="resources/*"/>
+				<zipfileset dir="${lirk3.home}/installer/cp" includes="resources/*"/>
 				<zipfileset dir="${lirk3.home}/ant-scripts/tasks/orans"><include name="RegexSearchReplace.class"/></zipfileset>
 
-				<zipfileset dir="${project.path}" includes="*"/>
-				<zipfileset dir="${project.path}/bin" prefix="bin"><include name="**/*"/></zipfileset>
-				<zipfileset dir="${project.path}/docs" prefix="docs"><include name="**/*"/></zipfileset>
-				<zipfileset dir="${project.path}/gli" prefix="gli"><include name="**/*"/></zipfileset>
-				<zipfileset dir="${project.path}/gs2build" prefix="gs2build"><include name="**/*"/></zipfileset>
-				<zipfileset dir="${project.path}/lib" prefix="lib"><include name="**/*"/></zipfileset>
-				<zipfileset dir="${project.path}/web" prefix="web"><include name="**/*"/></zipfileset>
-				<zipfileset dir="${project.path}/packages" prefix="packages"><include name="**/*"/></zipfileset>
-				<zipfileset dir="${project.path}/resources" prefix="resources"><include name="**/*"/></zipfileset>
-				<zipfileset dir="${project.path}/src" prefix="src"><include name="**/*"/></zipfileset>
+				<zipfileset dir="${basedir}/distribution/greenstone3" includes="*"/>
+				<zipfileset dir="${basedir}/distribution/greenstone3/bin" prefix="bin"><include name="**/*"/></zipfileset>
+				<zipfileset dir="${basedir}/distribution/greenstone3/docs" prefix="docs"><include name="**/*"/></zipfileset>
+				<zipfileset dir="${basedir}/distribution/greenstone3/gli" prefix="gli"><include name="**/*"/></zipfileset>
+				<zipfileset dir="${basedir}/distribution/greenstone3/gs2build" prefix="gs2build"><include name="**/*"/></zipfileset>
+				<zipfileset dir="${basedir}/distribution/greenstone3/lib" prefix="lib"><include name="**/*"/></zipfileset>
+				<zipfileset dir="${basedir}/distribution/greenstone3/web" prefix="web"><include name="**/*"/></zipfileset>
+				<zipfileset dir="${basedir}/distribution/greenstone3/packages" prefix="packages"><include name="**/*"/></zipfileset>
+				<zipfileset dir="${basedir}/distribution/greenstone3/resources" prefix="resources"><include name="**/*"/></zipfileset>
+				<zipfileset dir="${basedir}/distribution/greenstone3/src" prefix="src"><include name="**/*"/></zipfileset>
 			</installer>
 
@@ -45,3 +62,11 @@
 	</target>
 
+	<target name="clean-up-after-installer-creation">
+		<if><bool><istrue value="${execute}"/></bool>
+			<delete file="${basedir}/installer/antinstall-config.xml"/>
+			<delete file="${basedir}/installer/build.xml"/>
+		</if>
+	</target>
+
+
 </project>