Index: greenstone3/trunk/build.xml
===================================================================
--- greenstone3/trunk/build.xml	(revision 15186)
+++ greenstone3/trunk/build.xml	(revision 15187)
@@ -50,4 +50,5 @@
   -->
 
+  
   <!--the first two properties have to be put on the top to be used by build.properties-->
   <property name="src.packages.home" value="${basedir}/src/packages"/>
@@ -58,4 +59,12 @@
   <!-- get properties from the environment -->
   <property environment="env"/>
+
+    
+  <!-- version properties for external packages -->
+  <property name="tomcat.version" value="apache-tomcat-5.5.25"/>
+  <property name="axis.zip.version" value="axis-bin-1_2_1.zip"/>
+  <property name="axis.dir.version" value="axis-1_2_1"/>
+  <property name="gdbm.version" value="gdbm-1.8.3"/>
+
   <property name="build.home" value="${basedir}/build"/>
   <property name="src.home" value="${basedir}/src/java"/>
@@ -567,18 +576,18 @@
     <!-- check that packages dir is there -->
     <mkdir dir="${packages.home}"/>
-    <get src="http://www.greenstone.org/gs3files/apache-tomcat-5.5.25.zip"
-      dest="${packages.home}/apache-tomcat-5.5.25.zip"
+    <get src="http://www.greenstone.org/gs3files/${tomcat.version}.zip"
+      dest="${packages.home}/${tomcat.version}.zip"
       usetimestamp="true"/>
-    <unzip src="${packages.home}/apache-tomcat-5.5.25.zip" 
+    <unzip src="${packages.home}/${tomcat.version}.zip" 
       dest="${packages.home}"/>
-    <get src="http://www.greenstone.org/gs3files/apache-tomcat-5.5.25-compat.zip"
-      dest="${packages.home}/apache-tomcat-5.5.25-compat.zip"
+    <get src="http://www.greenstone.org/gs3files/${tomcat.version}-compat.zip"
+      dest="${packages.home}/${tomcat.version}-compat.zip"
       usetimestamp="true"/>
-    <unzip src="${packages.home}/apache-tomcat-5.5.25-compat.zip" 
+    <unzip src="${packages.home}/${tomcat.version}-compat.zip" 
       dest="${packages.home}"/>
     <!-- delete any existing tomcat -->
     <delete dir="${packages.home}/tomcat"/>
     <move todir="${packages.home}/tomcat">
-      <fileset dir="${packages.home}/apache-tomcat-5.5.25"/>
+      <fileset dir="${packages.home}/${tomcat.version}"/>
     </move>
     <copy file="${basedir}/resources/tomcat/setclasspath.bat"
@@ -699,11 +708,11 @@
 
   <target name="prepare-axis" depends="init">
-    <get src="http://www.greenstone.org/gs3files/axis-bin-1_2_1.zip"
-      dest="${packages.home}/axis-bin-1_2_1.zip"
+    <get src="http://www.greenstone.org/gs3files/${axis.zip.version}"
+      dest="${packages.home}/${axis.zip.version}"
       usetimestamp="true"/>
-    <unzip src="${packages.home}/axis-bin-1_2_1.zip"
+    <unzip src="${packages.home}/${axis.zip.version}"
       dest="${packages.home}"/>
     <move todir="${packages.home}/axis">
-      <fileset dir="${packages.home}/axis-1_2_1"/>
+      <fileset dir="${packages.home}/${axis.dir.version}"/>
     </move>
     <!-- install axis into greenstone web app -->
@@ -1618,8 +1627,8 @@
 
   <target name="prepare-gdbm" depends="init" if="install.gdbm">
-    <get src="http://www.greenstone.org/gs3files/gdbm-1.8.3.tar.gz"
-      dest="${src.packages.home}/gdbm-1.8.3.tar.gz"  usetimestamp="true"/>
-    <untar compression= "gzip" src="${src.packages.home}/gdbm-1.8.3.tar.gz" dest="${src.packages.home}" />  
-    <chmod dir="${src.packages.home}/gdbm-1.8.3" perm="ugo+wrx" includes="**" />
+    <get src="http://www.greenstone.org/gs3files/${gdbm.version}.tar.gz"
+      dest="${src.packages.home}/${gdbm.version}.tar.gz"  usetimestamp="true"/>
+    <untar compression= "gzip" src="${src.packages.home}/${gdbm.version}.tar.gz" dest="${src.packages.home}" />  
+    <chmod dir="${src.packages.home}/${gdbm.version}" perm="ugo+wrx" includes="**" />
     <antcall target="configure-gdbm" />
     <antcall target="compile-gdbm" /> 
@@ -1638,5 +1647,5 @@
   <target name="clean-gdbm" depends="init"  if="install.gdbm">   
     <echo>clean GDBM</echo>
-    <exec executable="make" os="${os.unix},${os.mac}" dir="${gdbm.home}" >
+    <exec executable="make" os="${os.unix}" dir="${gdbm.home}" >
       <arg value="clean"/>
     </exec>
@@ -1645,5 +1654,5 @@
   <target name="distclean-gdbm" depends="init"  if="install.gdbm">   
     <echo>distclean GDBM</echo>
-    <exec executable="make" os="${os.unix},${os.mac}" dir="${gdbm.home}" >
+    <exec executable="make" os="${os.unix}" dir="${gdbm.home}" >
       <arg value="distclean"/>
     </exec>
@@ -1652,6 +1661,6 @@
   <target name="compile-gdbm" depends="init"  if="install.gdbm">   
     <echo>compile GDBM</echo>
-    <exec executable="make" os="${os.unix},${os.mac}" dir="${gdbm.home}"/>
-    <exec executable="make" os="${os.unix},${os.mac}" dir="${gdbm.home}">
+    <exec executable="make" os="${os.unix}" dir="${gdbm.home}"/>
+    <exec executable="make" os="${os.unix}" dir="${gdbm.home}">
       <arg value="install"/>
     </exec>