Index: eenstone3/trunk/README-CVS.txt
===================================================================
--- /greenstone3/trunk/README-CVS.txt	(revision 15187)
+++ 	(revision )
@@ -1,94 +1,0 @@
-Greenstone 3 (GSDL3)
-Copyright (C) 2003 New Zealand Digital Libraries, University Of Waikato
-Greenstone3 comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt
-This is free software, and you are welcome to redistribute it
-
-These are some extra notes for installing Greenstone from CVS. Please also read the README.txt file for general information as almost all of that applies here too.
-
-Installing Greenstone from a CVS checkout:
----------------------------------------------------------------------
-
-Make sure the CVS executable is on your PATH.
-
-Checkout the code:
-
-cvs -d :pserver:cvs_anon@cvs.scms.waikato.ac.nz:2402/usr/local/global-cvs/gsdl-src co greenstone3
-
-Build and install:
-
-In the greenstone3 directory, edit the build.properties file (see 'Configuring your installation' in README.txt), and run 'ant prepare install'. The two targets can be run separately if you like.
-
-The 'prepare' target will download additional code (using CVS and http), so you need to be online to run it. The 'install' target can be run offline.
-
-The prepare/install targets will ask you if you accept the properties before starting.
-To suppress this prompt, use the -Dproperties.accepted=yes flag. E.g.
-ant -Dproperties.accepted=yes prepare install (from CVS), or
-To log the output, run
-ant -Dproperties.accepted=yes -logfile build.log prepare install (from CVS), or
-
-Extra Configuration notes:
---------------------------------------------------------------
-
-Greenstone 3 uses some parts of Greenstone 2 for collection building, 
-including external packages and the Librarian Interface. These will be 
-installed during the Greenstone 3 installation process. If you do not want 
-collection building capability, please set the disable.collection.building property to true in build.properties. 
-
-
-Common install/update targets:
----------------------------------------------------------------------
-1. Install for the first time from CVS:
-cvs co greenstone3
-cd greenstone3
-ant prepare install
-
-2. Install for the first time from CVS, mostly offline:
-[online]
-cvs co greenstone3
-cd greenstone3
-ant prepare
-[offline]
-ant install
-
-3. Install for the first time, with CVS done outside of Ant (if you have problems running CVS commands from Ant):
-cvs co -P greenstone3
-cd greenstone3
-[if you want collection building:
-cvs co -P gli
-cvs co -P gs2build
-]
-[if you didn't want collection building
-cd src/packages
-cvs co indexers
-cd ../../
-]
-[if you are on windows
-cvs co winbin
-]
-ant -Dnocvs.mode=yes prepare install (prepare needs to be online, install can be done offline)
-
-4. Updating your Greenstone installation from CVS (and reconfigure/recompile):
-cd greenstone3
-ant update
-
-5. Updating your Greenstone installation from CVS, offline:
-cd greenstone3
-[online]
-ant cvsupdate
-[offline]
-ant -Dnocvs.mode=yes update
-
-6. Updating your Greenstone installation, with CVS done outside of Ant:
-cd greenstone3
-cvs update -l
-cvs update -dP bin docs lib resources src winutil packages 
-cd web (or the path-to-tomcat/webapps/greenstone3 if have installed greenstone as a webapp in Tomcat, see Using External Tomcat section)
-cvs update -dP 
-cd ../
-[ if you have greenstone 2 building:
-cvs update -dP gli
-cvs checkout -P gs2build
-Note that the gs2build one uses checkout not update.
-]
-ant -Dnocvs.mode=yes update
-
Index: /greenstone3/trunk/README-SVN.txt
===================================================================
--- /greenstone3/trunk/README-SVN.txt	(revision 15188)
+++ /greenstone3/trunk/README-SVN.txt	(revision 15188)
@@ -0,0 +1,63 @@
+Greenstone 3 (GSDL3)
+Copyright (C) 2003 New Zealand Digital Libraries, University Of Waikato
+Greenstone3 comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt
+This is free software, and you are welcome to redistribute it
+
+These are some extra notes for installing Greenstone from SVN. Please also read the README.txt file for general information as almost all of that applies here too.
+
+Installing Greenstone from an SVN checkout:
+---------------------------------------------------------------------
+
+Make sure an SVN executable is on your PATH.
+
+Checkout the code:
+
+svn co http://svn.greenstone.org/greenstone3/trunk greenstone3
+
+Build and install:
+
+In the greenstone3 directory, edit the build.properties file (see 'Configuring your installation' in README.txt), and run 'ant prepare install'. The two targets can be run separately if you like.
+
+The 'prepare' target will download additional code (using SVN and http), so you need to be online to run it. The 'install' target can be run offline.
+
+The prepare/install targets will ask you if you accept the properties before starting.
+To suppress this prompt, use the -Dproperties.accepted=yes flag. E.g.
+ant -Dproperties.accepted=yes prepare install (from CVS), or
+To log the output, run
+ant -Dproperties.accepted=yes -logfile build.log prepare install (from CVS), or
+
+Extra Configuration notes:
+--------------------------------------------------------------
+
+Greenstone 3 uses some parts of Greenstone 2 for collection building, 
+including external packages and the Librarian Interface. These will be 
+installed during the Greenstone 3 installation process. If you do not want 
+collection building capability, please set the disable.collection.building property to true in build.properties. 
+
+
+Common install/update targets:
+---------------------------------------------------------------------
+1. Install for the first time from SVN:
+svn co http://svn.greenstone.org/greenstone3/trunk greenstone3
+cd greenstone3
+ant prepare install
+
+2. Install for the first time from SVN, mostly offline:
+[online]
+svn co http://svn.greenstone.org/greenstone3/trunk greenstone3
+cd greenstone3
+ant prepare
+[offline]
+ant install
+
+3. Updating your Greenstone installation from SVN (and reconfigure/recompile):
+cd greenstone3
+ant update
+
+4. Updating your Greenstone installation from SVN, mostly offline:
+cd greenstone3
+[online]
+ant svnupdate
+[offline]
+ant -Dnosvn.mode=yes update
+
Index: /greenstone3/trunk/README.txt
===================================================================
--- /greenstone3/trunk/README.txt	(revision 15187)
+++ /greenstone3/trunk/README.txt	(revision 15188)
@@ -21,10 +21,10 @@
 See 'Installing from a Source Distribution' section below for extra notes about installing from Source.
 
-See the README-CVS.txt file for extra notes about installing from CVS.
+See the README-SVN.txt file for extra notes about installing directly from SVN.
 
 Running Greenstone:
 ---------------------------------------------------------
 
-To start up Greenstone, select Greenstone 2 Digital Library from the Start menu (Windows), or run gs3-server.sh/bat. This launches a small server program, which starts up Tomcat and launches a browser. A small window pops up which allows you to chnage some settings for your library and restart the Tomcat server. Closing this program will stop Tomcat running.
+To start up Greenstone, select Greenstone3 Digital Library from the Start menu (Windows), or run gs3-server.sh/bat. This launches a small server program, which starts up Tomcat and launches a browser. A small window pops up which allows you to chnage some settings for your library and restart the Tomcat server. Closing this program will stop Tomcat running.
 
 Alternatively, you can start Tomcat directly through using Ant. 'ant start', 'ant restart' and 'ant stop' starts, restarts and shuts down Tomcat, respectively. This will only start/stop a local server (one installed by Greenstone). You will need to manually start/stop an external Tomcat (see below for notes about using a version of Tomcat external to Greenstone).
@@ -39,7 +39,6 @@
 You need to have Perl installed and on your PATH. Perl is included as part of 
 the Windows binary distribution.
-run  'ant gli", or cd to greenstone3/gli and run gli4gs3.sh/bat. This is a 
-graphical tool for building collections. Once you have created and built a 
-collection, you can see it by clicking 'Preview collection' on the Build panel.
+You can build collections using the Greenstone Librarian Interface (GLI). To start GLI, run  'ant gli", or cd to greenstone3/gli and run gli4gs3.sh/bat. 
+Once you have created and built a collection, you can see it by clicking 'Preview collection' on the Build panel.
 
 Note that GLI doesn't start up the Greenstone Tomcat server so you should 
@@ -141,5 +140,5 @@
 Download the greenstone-3.xx-src.tar.gz package from sourceforge.net/projects/greenstone3, and unpack it.
 In the greenstone3 directory, edit the build.properties file and run 
-ant prepare install
+ant install
 
 Tomcat will be installed as part of the prepare process. To stop this set the tomcat.installed.path to be the root of an existing Tomcat installation. 
@@ -181,7 +180,7 @@
 To recompile your Greenstone3 installation, in the top level greenstone3 directory, run:
 
+ant clean (use distclean instead if you want to regenerate the C++ Makefiles)
 ant configure
 ant configure-c++
-ant clean
 ant compile
 